


#' @title Functions for Wayne W. Daniel's \emph{Biostatistics} (Tenth Edition)
#' 
#' @description
#'
#' Functions and examples to accompany Wayne W. Daniel's 
#' \emph{Biostatistics: A Foundation for Analysis in the Health Sciences}, Tenth Edition,
#' Wiley, ISBN: 978-1-119-62550-6.
#' 
#' \url{https://www.wiley.com/en-us/Biostatistics:+A+Foundation+for+Analysis+in+the+Health+Sciences,+10th+Edition-p-9781119625506}
#' 
#' Data sets from 10th edition \url{https://bcs.wiley.com/he-bcs/Books?action=resource&bcsId=7849&itemId=1118302796&resourceId=30373}.
#' 
#' Resources from 11th edition \url{https://bcs.wiley.com/he-bcs/Books?action=index&bcsId=11491&itemId=1119496578},
#' with errata of data.
#' 
#' @import ggplot2 methods stats 
#' @importFrom ggrepel geom_label_repel
#' @importFrom latex2exp TeX
# @importFrom plotly ggplotly
#' @importFrom scales percent
#' 
#' @docType package
#' @keywords package
#' @name DanielBiostatistics10th-package
NULL

# @importFrom raster cv # \pkg{raster} creates many problems